<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#	                           Version  :  1.1 (Cook edit.) (03.11.2008)                       #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  ICQ  :  377776777 или 449-559                               #
#                                E-mai :  Dimonnet@inbox.ru                                    #
# По вопросам приобритения скрипта или обновлений для него обращатьтся на вышеуказанные данные.#
# Распространение скрипта другими лицами запрешено. Скрипт защищён законом об авторском праве. #
#==============================================================================================#

require '../config.php';

$short = explode('/',$_SERVER['HTTP_USER_AGENT']);
define('short_agent',mysql_escape_string($short[0]));
define('ip', $_SERVER['REMOTE_ADDR']);


function text_captcha($length = 4){
$val = str_shuffle('123456789');
return substr($val, 0, $length);
}


require 'rand.php';


mysql_query("DELETE FROM `chat_code` WHERE (`ip`='".ip."' AND `ua`='".short_agent."') OR `ts`<".(time()-18000));
$ctext = text_captcha(4);

$result = mysql_query("INSERT into `chat_code`
(`ip`,`ua`,`ts`,`code`,`zact`)
values
('".ip."','".short_agent."',".time().",'".$ctext."','".$zaschtnyyact."')
");

if(!$result) exit;

$image = imageCreateFromPng('pic.png');
$colour = imageColorAllocate($image,0,0,0);

imageTTFText($image,26,1,10,22,$colour,realpath('./visual.ttf'),$ctext);


header('Content-type: image/png');
imagepng($image);
?>